function Tutorial:StartActivity()
	self.TargetTimer = Timer()
	self.MsgTimer = Timer()
	self.Strings = {"Triple tap left or right to change direction",
					"Triple tap down to extend and retract landing gears",
					"Jump/crouch to aim MG",
					"Press sharp aim to fire rockets"}
	self.msg = 1
	
	-- Player brain
	local Brain = CreateActor("Brain Case")
	Brain.Pos = Vector(492, 1029)
	MovableMan:AddActor(Brain)
	self:SetPlayerBrain(Brain, Activity.TEAM_1)
	self:SetObservationTarget(Brain.Pos, Activity.TEAM_1)
	
	-- Gunship
	self.Gunship = CreateACDropShip("Hydra Gunship", "Gunship.rte")
	if self.Gunship then
		self.Gunship.Pos = SceneMan:MovePointToGround(Vector(300, 100), 150, 5)
		self.Gunship.Vel = Vector(0, 0)
		self.Gunship.Team = Activity.TEAM_1
		MovableMan:AddActor(self.Gunship)
		self:SwitchToActor(ToActor(self.Gunship), self.Gunship.Team, self.Gunship.Team)
		print(self.Gunship.PresetName .. " reload = " .. self.Gunship:ReloadScripts())
		
		if self.Gunship:GetController():IsMouseControlled() then
			self.Strings = {"Double tap left to change direction",
							"Triple tap down to extend and retract landing gears",
							"Mouse to aim MG",
							"Press X to fire rockets"}
		end
	end
end

function Tutorial:UpdateActivity()
	self:ClearObjectivePoints()
	
	if not self.Pad then
		for Act in MovableMan.Actors do
			if Act.PresetName == "Repair System" then
				self.Pad = Act
				break
			end
		end
	elseif MovableMan:IsActor(self.Pad) then
		self:AddObjectivePoint("Land here to rearm and repair", self.Pad.Pos + Vector(0,-10), Activity.TEAM_1, GameActivity.ARROWDOWN)
	end
	
	if not MovableMan:IsActor(self.Gunship) or self.Gunship.PresetName ~= "Hydra Gunship" then
		self.Gunship = CreateACDropShip("Hydra Gunship", "Gunship.rte")
		if self.Gunship then
			self.Gunship.Pos = Vector(200, -50)
			self.Gunship.Vel = Vector(0, 15)
			self.Gunship.Team = Activity.TEAM_1
			MovableMan:AddActor(self.Gunship)
			self:SwitchToActor(ToActor(self.Gunship), self.Gunship.Team, self.Gunship.Team)
		end
	else
		self:AddObjectivePoint(self.Strings[self.msg], self.Gunship.AboveHUDPos + Vector(0,-20), Activity.TEAM_1, GameActivity.ARROWDOWN)
		
		if SceneMan:ShortestDistance(self.Gunship.Pos, Vector(850,800), false).Magnitude < 75 then
			ActivityMan:StartActivity("GAScripted", "Verdun")
		end
	end
	
	self:AddObjectivePoint("Move here to return to menu", Vector(850,800), Activity.TEAM_1, GameActivity.ARROWDOWN)
	
	if self.MsgTimer:IsPastRealMS(4000) then
		self.MsgTimer:Reset()
		self.msg = self.msg + 1
		if self.msg > #self.Strings then
			self.msg = 1
		end
	end	
end